/**
 * Copyright (c) by Mohan Embar 2008. All Rights Reserved.
 * http://www.thisiscool.com/
 */
import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.RootPaneContainer;
import javax.swing.UIManager;
import javax.swing.WindowConstants;

import com.thisiscool.tinybasic.gui.TinyBasicTextAreaManager;

public class TinyBasicUI extends JApplet
{
public static void main(String[] args)
{
    try
    {
        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception e)
    {}
    
	JFrame f = new JFrame("TinyBasic/J");
	f.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
	new TinyBasicUI(f);
	f.setSize(800,500);
	f.setVisible(true);
}

public TinyBasicUI()
{
	this(null);
}

public TinyBasicUI(RootPaneContainer rpc)
{
	if (rpc == null)
		rpc = this;
	init(rpc);
}

// private //
private JTextArea text;

private void init(RootPaneContainer rpc)
{
	JPanel pnlMain = new JPanel();
	rpc.getContentPane().add(pnlMain);
	pnlMain.setLayout(new BorderLayout());

	text = new JTextArea();
	text.setFont(new Font("Monospaced", Font.PLAIN, 13));
	new TinyBasicTextAreaManager(text);
	pnlMain.add(new JScrollPane(text), BorderLayout.CENTER);
}
}
