/**
 * Copyright (c) by Mohan Embar 2008. All Rights Reserved.
 * http://www.thisiscool.com/
 */
package com.thisiscool.tinybasic;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class FileType
{
public FileType(InputStream input)
{
	this.input = input;
}
	
public FileType(OutputStream output)
{
	this.output = output;
}
	
public void outChar(char ch)
{
	try
	{
		output.write((int) ch);
	}
	catch (IOException e)
	{
		throw new RuntimeException(e);
	}
}

public char inChar()
{
	try
	{
		int in = input.read();
		char ch = in==-1 ? '\0' : (char) in;
		if (ch == 10)
			ch = '\0';
		return ch;
	}
	catch (IOException e)
	{
		throw new RuntimeException(e);
	}
}

public char read()
{
	return inChar();
}

public void close()
{
	try
	{
		if (input!=null) input.close();
		if (output!=null) output.close();
	}
	catch (IOException e)
	{
		throw new RuntimeException(e);
	}
}

// private //
private InputStream input;
private OutputStream output;
}
