/**
 * Copyright (c) by Mohan Embar 2008. All Rights Reserved.
 * http://www.thisiscool.com/
 */
package com.thisiscool.tinybasic.console;

import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;

import com.thisiscool.tinybasic.IConsoleIO;

public class ConsoleIO implements IConsoleIO
{
public ConsoleIO()
{
	KEYBOARD_INPUT = new InputStreamReader(System.in);
}

public final void screenChar(char ch)
{
	System.out.print(ch);
}

public final void print(String theMsg)
{
	System.out.print(theMsg);
}

public final char read()
{
	try
	{
		int in = KEYBOARD_INPUT.read();
		char ch = in==-1 ? '\0' : (char) in;
		if (ch == 10)
			ch = '\0';
		return ch;
	}
	catch (IOException e)
	{
		throw new RuntimeException(e);
	}
}

// private //
private Reader KEYBOARD_INPUT;
}
